<?php

// Survey class as intermediate for storing data from the site to the RDF database 
require 'rdfConstants.php';

// Include RAP Library to write RDF files
define("RDFAPI_INCLUDE_DIR", "rdfapi/");
include(RDFAPI_INCLUDE_DIR . "RDFAPI.php");



class SurveyAnswerDatabaseInterface
{		
	protected $surveyAnswerRDFWriter;
	protected $surveyAnswerRDFReader;
 

    public function __construct($surveyID=null)
    {
		if($surveyID == null)
			$surveyUID = md5( uniqid(rand(), true) );
		else
			$surveyUID = $surveyID;
					
		$this->surveyAnswerRDFWriter = new SurveyAnswerRDFWriter($surveyUID);
		$this->surveyAnswerRDFReader = new SurveyAnswerRDFReader($surveyUID);
    }
	
	
}
?>